Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Class PropertiesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protege.widget.PropertiesTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class PropertiesTableModel

extends AbstractTableModel

Author:
  ttania
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PropertiesTableModel()`
`PropertiesTableModel(Properties properties)`

Method Summary
`void` | `addRow(String prop, String value)`
`void` | `deleteRow(int rowIndex)`
`Class` | `getColumnClass(int colIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int col)`
`Properties` | `getProperties()`
`static int` | `getPropertyColumnIndex()`
`int` | `getRowCount()`
`int` | `getRowOfProperty(String propName)`
`int` | `getRowOfPropertyValue(String value)`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`static int` | `getValueColumnIndex()`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`boolean` | `isChanged()`
`protected void` | `setChanged(boolean changed)`
`void` | `setProperties(Properties properties)`
`void` | `setValueAt(Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesTableModel

    public PropertiesTableModel()

### PropertiesTableModel

    public PropertiesTableModel(Properties properties)

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getRowCount

    public int getRowCount()

### getColumnClass

    public Class getColumnClass(int colIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

### addRow

    public void addRow(String prop,
                       String value)

### deleteRow

    public void deleteRow(int rowIndex)

### setValueAt

    public void setValueAt(Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

### getProperties

    public Properties getProperties()

### getRowOfProperty

    public int getRowOfProperty(String propName)

### getRowOfPropertyValue

    public int getRowOfPropertyValue(String value)

### getValueColumnIndex

    public static int getValueColumnIndex()

### getPropertyColumnIndex

    public static int getPropertyColumnIndex()

### setProperties

    public void setProperties(Properties properties)

### isChanged

    public boolean isChanged()

### setChanged

    protected void setChanged(boolean changed)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.